POSTGetApprovedList

Tron Mainnethttps://tron-mainnet.nodit.io/wallet/getapprovedlist

Query the account address list which signed the transaction.

Request Body
signaturestring[]required

The signature list of transaction. Example: [ "50a252d1ffd1cf902fe4f7a3986697adf26a37c8193a86ce9ccc76adf5c05d26166c5e90d470a13708c48a76a766d2b2c68ffd733451ff1315040fb526e7ccde1b" ]. Please note that when testing on this page, please enter the signature string directly into each input field. For example: 50a252d1ffd1cf902fe4f7a3986697adf26a37c8193a86ce9ccc76adf5c05d26166c5e90d470a13708c48a76a766d2b2c68ffd733451ff1315040fb526e7ccde1b

raw_datastring (json)required

The transaction's raw_data. Example: { "data": "74657374", "contract": [ { "parameter": { "value": { "resource": "ENERGY", "frozen_balance": 5000000, "owner_address": "TUoHaVjx7n5xz8LwPRDckgFrDWhMhuSuJM"}, "type_url": "type.googleapis.com/protocol.FreezeBalanceV2Contract" }, "type": "FreezeBalanceV2Contract"}], "ref_block_bytes": "dd1a", "ref_block_hash": "51a43e706d9ac33a", "expiration": 1767844938000, "timestamp": 1767844878000 }

visibleboolean

Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)

Responses
resultobject

The parsing result. Returns an error code and message if parsing fails.

approved_liststring[]

List of account addresses that have signed the transaction.

X-API-KEY
RequestCU20
cURL
curl -X POST "https://tron-mainnet.nodit.io/wallet/getapprovedlist" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
    "signature": [
      "2a3743f40d53a124c1597256b155bf286bd8874afe6997ec0a7e63405dea78cd914d9aa9adb8f84dc8d1ef4b1827dd9e8960a40a4ad11e619d06e9601e8b27c000"
    ],
    "raw_data": "{ \"data\": \"74657374\", \"contract\": [ { \"parameter\": { \"value\": { \"resource\": \"ENERGY\", \"frozen_balance\": 5000000, \"owner_address\": \"TUoHaVjx7n5xz8LwPRDckgFrDWhMhuSuJM\"}, \"type_url\": \"type.googleapis.com/protocol.FreezeBalanceV2Contract\" }, \"type\": \"FreezeBalanceV2Contract\"}], \"ref_block_bytes\": \"dd1a\", \"ref_block_hash\": \"51a43e706d9ac33a\", \"expiration\": 1767844938000, \"timestamp\": 1767844878000 }",
    "visible": false
  }'
Response
Example · 200
{
  "result": {},
  "approved_list": [
    "string"
  ],
  "transaction": {}
}